Name:           videodog
Version:        0.31
Release:        4%{?dist}
Summary:        Command-line video4linux frame-grabber

Group:          Applications/Multimedia
License:        LGPL
URL:            http://paginas.terra.com.br/informatica/gleicon/video4linux/videodog.html
Source0:        http://paginas.terra.com.br/informatica/gleicon/video4linux/videodog%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libjpeg-devel

%description
VideoDog is a command line tool to grab frames from a 
Video4linux-compliant device. It can export a file in raw, PNM, or JPG 
formats. It can also do loop capture using multiple buffers, or just be 
used to set/retrieve device data or scripts.

%prep
%setup -q -n %{name}-%{version}
sed -i -e 's/-O3 -Wall/%{optflags}/' Makefile

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 videodog $RPM_BUILD_ROOT%{_bindir}
install videodog.man $RPM_BUILD_ROOT%{_mandir}/man1/videodog.1
install -m 644 vd.conf $RPM_BUILD_ROOT%{_sysconfdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ALPHABLEND CHANGELOG CONFIG_FILE EFFECTS LICENSE MOTION README TODO USAGE
%config(noreplace) %{_sysconfdir}/vd.conf
%{_bindir}/videodog
%{_mandir}/man1/videodog.1*


%changelog
* Mon Aug 28 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.31-4
- Rebuild for FC6

* Sun May 21 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 0.31-3
- Fixed bug 192609 (thanks, Ville)

* Mon Apr 24 2006 Jima <jima@auroralinux.org> 0.31-2
- Cleaned up URLs as per Andreas Thienemann's recommendation

* Mon Apr 24 2006 Jima <jima@auroralinux.org> 0.31-1
- Initial Fedora Extras RPM
